summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
authorJoey Hess <joey@gnu.kitenet.net>2009-02-24 22:44:05 -0500
committerJoey Hess <joey@gnu.kitenet.net>2009-02-24 22:44:05 -0500
commit0c04235d320c1ebe5e29867dfbcf48109e61d544 (patch)
treee5e676a772fbf5245c6177c9e19f39d095d98150 /debian/postinst
parent145fb779aef9d955b0029b5e4fe27209a3dd435b (diff)
uninit and auto-init
* Add uninit subcommand, which cleans up all etckeeper and VCS droppings in /etc. This is useful if you want to switch to a different VCS and don't have any history to preserve. (Preserving history and converting is of course possible, but significantly harder.) * Run etckeeper init on initial install. Closes: #505772 (The idea being that if someone doesn't want to use git, they can immediatly uninit to easily reverse this.) * Document how to change the VCS used by etckeeper, without preserving any history. Preserving history left as an exersise for the reader. Closes: #515237
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst6
1 files changed, 6 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
index 834b069..870d67b 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -73,6 +73,12 @@ configure)
done
fi
+ if [ "$2" = "" ]; then
+ # Fresh install.
+ # Might fail if, eg, git is not installed.
+ etckeeper init || echo "etckeeper init failed; run it by hand" >&2
+ fi
+
# prints error and exits nonzero if the ignore file cannot be updated
etckeeper update-ignore || true
esac